| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
IOObjContext Class Reference
General

Holds the context for selecting and/or creating IOObjs. More...

`#include <ctxtioobj.h>`

Inheritance diagram for IOObjContext:
[legend]

## Classes
struct | StdDirData

## Public Types
enum | StdSelType { Seis =0 , Surf , Loc , Feat , WllInf , NLA , Misc , Attr , Mdl , Geom , None }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| IOObjContext (const IOObjContext &)
| IOObjContext (const TranslatorGroup *, const char *prefname=0)
| ~IOObjContext ()
IOStream * | crDefaultWriteObj (const Translator &, const MultiID &) const
void | fillTrGroup () const
void | fixTranslator (const char *trusrnm)
MultiID | getSelKey () const
bool | hasStdSelKey () const
bool | haveMatches () const
int | nrMatches () const
int | nrMatches (bool forgroup) const
const char * | objectTypeName () const
IOObjContext & | operator= (const IOObjContext &)
void | require (const char *key, const char *typ, bool allowempty=false)
const ZDomain::Def * | requiredZDef () const
const ZDomain::Info * | requiredZDomain () const
void | requireType (const char *, bool allowempty=false)
void | requireZDef (const ZDomain::Def &, bool allowempty=true)
void | requireZDomain (const ZDomain::Def &, bool allowempty=true)=delete
void | requireZDomain (const ZDomain::Info &, bool allowempty=true)
bool | validIOObj (const IOObj &) const
bool | validObj (const MultiID &) const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static BufferString | getDataDirName (StdSelType)
static BufferString | getDataDirName (StdSelType, bool dironly)
| Including legacy names - smart.
static const StdDirData * | getStdDirData (StdSelType)
static int | totalNrStdDirs ()

## Public Attributes
BufferString & | deftransl
BufferString | deftransl_
| Translator to use for new entry.
bool & | forread
bool | forread_
| this selection only
bool & | maydooper
bool | maydooper_
| Will we allow add/remove etc?
bool & | multi
bool | multi_
| If true, multi allowed.
int & | newonlevel
int | newonlevel_
| level 0 is survey dir
MultiID & | selkey
MultiID | selkey_
| If set, overrules the 'standard'.
StdSelType & | stdseltype
StdSelType | stdseltype_
| intrinsics
IOObjSelConstraints & | toselect
IOObjSelConstraints | toselect_
const TranslatorGroup *& | trgroup
const TranslatorGroup * | trgroup_
| Mandatory, must never be 0.

## Additional Inherited Members
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Holds the context for selecting and/or creating IOObjs.

Usually, this object is obtained by calling the ioContext() method of a certain TranslatorGroup.

Note, that if the StdSelType is set to None, you must provide the selkey or we'll be blobbing stuff in the root of the survey.

<>

## Member Enumeration Documentation

## ◆ StdSelType

enum IOObjContext::StdSelType

Enumerator
Seis |
Surf |
Loc |
Feat |
WllInf |
NLA |
Misc |
Attr |
Mdl |
Geom |
None |

## Constructor & Destructor Documentation

## ◆ IOObjContext() [1/2]

IOObjContext::IOObjContext | ( | const TranslatorGroup * | ,
|  | const char * | prefname = 0 )

## ◆ IOObjContext() [2/2]

IOObjContext::IOObjContext | ( | const IOObjContext & |  | ) |

## ◆ ~IOObjContext()

IOObjContext::~IOObjContext | ( |  | ) |

## Member Function Documentation

## ◆ crDefaultWriteObj()

IOStream * IOObjContext::crDefaultWriteObj | ( | const Translator & | ,
|  | const MultiID & | ) const

## ◆ fillTrGroup()

void IOObjContext::fillTrGroup | ( |  | ) | const

Uses stdseltype_ to make a trgroup_ Should never be necessary

## ◆ fixTranslator()

void IOObjContext::fixTranslator | ( | const char * | trusrnm | ) |
| inline

## ◆ getDataDirName() [1/2]

static BufferString IOObjContext::getDataDirName | ( | StdSelType |  | ) |
| static

## ◆ getDataDirName() [2/2]

static BufferString IOObjContext::getDataDirName | ( | StdSelType | ,
|  | bool | dironly )
| static

Including legacy names - smart.

## ◆ getSelKey()

MultiID IOObjContext::getSelKey | ( |  | ) | const

## ◆ getStdDirData()

static const StdDirData * IOObjContext::getStdDirData | ( | StdSelType |  | ) |
| static

## ◆ hasStdSelKey()

bool IOObjContext::hasStdSelKey | ( |  | ) | const
| inline

## ◆ haveMatches()

bool IOObjContext::haveMatches | ( |  | ) | const
| inline

## ◆ nrMatches() [1/2]

int IOObjContext::nrMatches | ( |  | ) | const

## ◆ nrMatches() [2/2]

int IOObjContext::nrMatches | ( | bool | forgroup | ) | const

## ◆ objectTypeName()

const char * IOObjContext::objectTypeName | ( |  | ) | const

## ◆ operator=()

IOObjContext & IOObjContext::operator= | ( | const IOObjContext & |  | ) |

## ◆ require()

void IOObjContext::require | ( | const char * | key,
|  | const char * | typ,
|  | bool | allowempty = false )

## ◆ requiredZDef()

const ZDomain::Def * IOObjContext::requiredZDef | ( |  | ) | const

## ◆ requiredZDomain()

const ZDomain::Info * IOObjContext::requiredZDomain | ( |  | ) | const

## ◆ requireType()

void IOObjContext::requireType | ( | const char * | ,
|  | bool | allowempty = false )

## ◆ requireZDef()

void IOObjContext::requireZDef | ( | const ZDomain::Def & | ,
|  | bool | allowempty = true )

## ◆ requireZDomain() [1/2]

void IOObjContext::requireZDomain | ( | const ZDomain::Def & | ,
|  | bool | allowempty = true )
| delete

## ◆ requireZDomain() [2/2]

void IOObjContext::requireZDomain | ( | const ZDomain::Info & | ,
|  | bool | allowempty = true )

## ◆ totalNrStdDirs()

static int IOObjContext::totalNrStdDirs | ( |  | ) |
| static

## ◆ validIOObj()

bool IOObjContext::validIOObj | ( | const IOObj & |  | ) | const

## ◆ validObj()

bool IOObjContext::validObj | ( | const MultiID & |  | ) | const

## Member Data Documentation

## ◆ deftransl

BufferString& IOObjContext::deftransl

## ◆ deftransl_

BufferString IOObjContext::deftransl_

Translator to use for new entry.

## ◆ forread

bool& IOObjContext::forread

## ◆ forread_

bool IOObjContext::forread_

this selection only

## ◆ maydooper

bool& IOObjContext::maydooper

## ◆ maydooper_

bool IOObjContext::maydooper_

Will we allow add/remove etc?

## ◆ multi

bool& IOObjContext::multi

## ◆ multi_

bool IOObjContext::multi_

If true, multi allowed.

## ◆ newonlevel

int& IOObjContext::newonlevel

## ◆ newonlevel_

int IOObjContext::newonlevel_

level 0 is survey dir

## ◆ selkey

MultiID& IOObjContext::selkey

## ◆ selkey_

MultiID IOObjContext::selkey_

If set, overrules the 'standard'.

## ◆ stdseltype

StdSelType& IOObjContext::stdseltype

## ◆ stdseltype_

StdSelType IOObjContext::stdseltype_

intrinsics

## ◆ toselect

IOObjSelConstraints& IOObjContext::toselect

## ◆ toselect_

IOObjSelConstraints IOObjContext::toselect_

## ◆ trgroup

const TranslatorGroup*& IOObjContext::trgroup

## ◆ trgroup_

const TranslatorGroup* IOObjContext::trgroup_

Mandatory, must never be 0.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025